package eu.akka.collaborative.framework.ui.agent.login.mock;

import java.util.Hashtable;

import org.apache.log4j.Logger;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import eu.akka.collaborative.framework.ui.agent.login.ILogin;

public class LoginMockActivator implements BundleActivator {

	/**
	 * Logger.
	 */
	private static Logger logger = Logger.getLogger(LoginMockActivator.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext
	 * )
	 */
	@Override
	public void start(BundleContext context) throws Exception {
		logger.info("Start Mock Login Service");
		Hashtable<String, String> props = new Hashtable<String, String>();
		// register the service
		context.registerService(ILogin.class.getName(), new MockLogin(), props);
		logger.info("Mock Login Service registered!");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	@Override
	public void stop(BundleContext context) throws Exception {
		logger.info("Stop Mock Login Service");
	}

	/**
	 * @return the logger
	 */
	public static Logger getLogger() {
		return logger;
	}

}
